#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;





int main()
{

   int A, B, C;
   int max = 0, sc = 0, sm = 0;
   cin >> A >> B >> C;

   max = A;

   if (max < B) max = B;
   if (max < C) {
       max = C;
   }

   sm = A;

   if (sm > B) sm = B;
   if (sm > C) {
       sm = C;
   }
   sc = A;
   if ((A < max) && (A > sm)) sc = A;
   if ((B < max) && (B > sm)) sc = B;
   if ((C < max) && (C > sm)) sc = C;

   cout << max << sc << sm << endl;

   return 0;

}